## org.apache.mahout.math.buffer
Interface DoubleBufferConsumer

All Known Implementing Classes:
  AbstractDoubleList, DoubleArrayList

    public interface DoubleBufferConsumer

Object that can accept a primitive array list of double items.

Method Summary
`void` `addAllOf(DoubleArrayList list)` Adds all elements of the specified list to the receiver.

Method Detail

### addAllOf

    void addAllOf(DoubleArrayList list)

  Adds all elements of the specified list to the receiver.

  Parameters:
    `list` - the list of which all elements shall be added.

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.